Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155509 - mkraid: a maximum of 27 devices in a set is supported
Summary: mkraid: a maximum of 27 devices in a set is supported
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda
Version: 3.0
Hardware: s390x
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-20 22:45 UTC by Brock Organ
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-21 15:51:40 UTC


Attachments (Terms of Use)

Description Brock Organ 2005-04-20 22:45:46 UTC
* RHEL3 U4 s390x AS
* nfs vnc GUI install with > 27 RAID partitions
* / on RAID0 with 32 RAID partitions

when going to package installation phase, the installer gives a dialog:

"An error occurred trying to format md0.  This problem is serious and the install cannot continue."

Then the install dies ... on the 3270 console, some output is observed:

> <...>
> dasdp:VOL1/  0X330B: dasdp1
> dasds:VOL1/  0X340A: dasds1
> dasdr:VOL1/  0X3409: dasdr1
> a maximum of 27 devices in a set is supported
> detected error on line 61:
> ]    device]    /tmp/dasdv1
> mkraid: aborted.

Comment 1 Jeremy Katz 2005-04-21 15:51:40 UTC
You can only have 27 members for a RAID device based on the format of the RAID
superblock.  Added error checking for this to HEAD, probably won't backport
unless it becomes something a customer is hitting.


Note You need to log in before you can comment on or make changes to this bug.